Name:           tempest
# There is no version, so we use pre-release style versioning with a date
Version:        0
Release:        0.4.20070929%{?dist}
Summary:        Tempest OpenGL screensaver
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.personal.utulsa.edu/~dan-guernsey
Source0:        http://www.personal.utulsa.edu/~dan-guernsey/dist/%{name}.tar.gz
Source1:        %{name}.conf
Source2:        %{name}.xml
Source3:        %{name}-gss.desktop
Patch0:         %{name}-20070929-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libGL-devel

%description
Tempest is a screensaver based on a physical model whereby particles are
attracted to their neighbors.


%package            xscreensaver
Summary:            XScreenSaver support for %{name}
Group:              Amusements/Graphics
Requires:           %{name} = %{version}-%{release}
Requires(post):     xscreensaver-base
Requires(postun):   xscreensaver-base
%if 0%{?fedora} >= 7
Requires:           xscreensaver-gl-base
%endif

%description        xscreensaver
Tempest is a screensaver based on a physical model whereby particles are
attracted to their neighbors. This package contains the files needed to use the
hack with xscreensaver.


%package        gnome-screensaver
Summary:        GNOME screensaver support for %{name}
Group:          Amusements/Graphics
Requires:       %{name} = %{version}-%{release}
Requires:       gnome-screensaver

%description    gnome-screensaver
Tempest is a screensaver based on a physical model whereby particles are
attracted to their neighbors. This package contains the files needed to use the
hack with gnome-screensaver.


%package        kde
Summary:        KDE screensaver support for %{name}
Group:          Amusements/Graphics
Requires:       %{name} = %{version}-%{release}
Requires:       kdebase
%if 0%{?fedora} <= 6
Requires:       kdeartwork-extras
%else
Requires:       kdeartwork-kxs
%endif

%description    kde
Tempest is a screensaver based on a physical model whereby particles are
attracted to their neighbors. This package contains the files needed to use the
hack with KDE.


%prep
%setup -qc
%patch0 -p0 -b .orig

#Cleanups for the debuginfo package
chmod -x %{name}.c
sed -i 's/\r//' %{name}.c


%build
gcc %{optflags} -o tempest tempest.c -lGL -lm


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 %{name} %{buildroot}%{_bindir}

# For xscreensaver
mkdir -p %{buildroot}%{_datadir}/xscreensaver/{config,hacks.conf.d}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/xscreensaver/hacks.conf.d/
install -p -m0644 %{SOURCE2} %{buildroot}%{_datadir}/xscreensaver/config/

# For gnome-screensaver
mkdir -p %{buildroot}%{_datadir}/applications/screensavers
mkdir -p %{buildroot}%{_libexecdir}/gnome-screensaver
pushd %{buildroot}%{_libexecdir}/gnome-screensaver
ln -sv ../../bin/tempest tempest
popd
install -p -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/screensavers/

# For KDE
mkdir -p %{buildroot}%{_datadir}/applnk/System/ScreenSavers/
install -p -m0644 %{name}.desktop %{buildroot}%{_datadir}/applnk/System/ScreenSavers/


%clean
rm -rf %{buildroot}


%post xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
   %{_sbindir}/update-xscreensaver-hacks || :
fi


%postun xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
   %{_sbindir}/update-xscreensaver-hacks || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}


%files xscreensaver
%defattr(-,root,root,-)
%{_datadir}/xscreensaver/config/%{name}.xml
%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf


%files gnome-screensaver
%defattr(-,root,root,-)
%{_datadir}/applications/screensavers/%{name}-gss.desktop
%{_libexecdir}/gnome-screensaver/%{name}


%files kde
%defattr(-,root,root,-)
%{_datadir}/applnk/System/ScreenSavers/%{name}.desktop


%changelog
* Fri Oct 19 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0-0.4.20070929
- Fix xscreensaver xml file
- Make xscreensaver subpackage xscreensaver-gl-base (bug 336331)

* Mon Oct  1 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0-0.3.20070929
- Minor SPEC changes
- Fixed gnome support. Missing symlink

* Mon Oct  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>  0-0.2.20070929
- Support xscreensaver, gnome-screensaver as well as kscreensaver

* Sat Sep 29 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0-0.1.20070929
- Initial release
